Name:		gt5
Summary:	A diff-capable 'du-browser'
Version:	1.4.0
Release:	4%{?dist}
License:	GPL+
Group: 		Applications/File
URL:		http://gt5.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
#patch is not needed by direct using "install -p"
#Patch0:		gt5-1.4.0-chmod.diff
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
#something else is required in runtime?
Requires:	gawk
#sed is not needed to mention only in BuildRequires
Requires:	sed
#Some console web browser is required (e.g. links links2 elinks lynx w3m)
#text-www-browser virtual provider was introduced in F-8
#it was initially proposed by Till Maas at:
#http://fedoraproject.org/wiki/VilleSkytt%C3%A4/VirtualProvides
%if "%fedora" > "7"
Requires:	text-www-browser
%endif

%description
Allows to check what takes the most of your hard disk space and track
its changes.
Note: It requires some console web browser installed in the system
(e.g. links, links2, elinks, lynx, w3m).

%prep
%setup -q

%build
#it's a shell-script, nothing to do

%install
rm -fr %{buildroot}
#make install requires a patch to drop out chown root:root,
#it was suggested to use install -p instead of
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -p gt5 %{buildroot}%{_bindir}/
install -p gt5.1 %{buildroot}%{_mandir}/man1/
#make install DESTDIR=%{buildroot} PREFIX=%{_prefix}

%clean
rm -fr %{buildroot}

%files
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/gt5
#INSTALL is not needed
%doc README LICENSE Changelog
%{_mandir}/man1/gt5.1*

%changelog
* Sat Oct 27 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.4.0-4
- applied suggestions by Mamoru Tasaka (all below)
- removed a chown patch by a direct use of an 'install' command
- removed INSTALL from a documentation set
- added using "text-www-browser" virtial Provides for F-8+

* Tue Sep 18 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.4.0-3
- {name} variable used in a source URL (thanks to Parag AN)

* Tue Sep 11 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.4.0-2
- sed restored in Requires section
- added info about required console web browser (thanks to Till Maas)

* Tue Sep 04 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.4.0-1
- updated to 1.4.0
- removed DESTDIR patch (merged with an upstream version)

* Tue Sep 04 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.3d-3
- added missing DESTDIR in a patch (thanks to Thomas Sattler)
- specified licence type (due to a new Licensing Guidelines)

* Tue May 29 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.3d-2
- BuildArch changed to noarch

* Sat May 12 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.3d-1
- initial release

